at.chipkarte.client.elgaad.soap

## Class KorrigierendePerson

- Object
- - at.chipkarte.client.elgaad.soap.KorrigierendePerson

-     public class KorrigierendePerson
      extends Object

  Daten der korrigierenden Person (Participant Body - Verifier (1.2.40.0.34.6.0.11.9.44) ).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KorrigierendePerson()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Adresse` | `getAdresse()` Adresse.
    `String` | `getModelName()` ModelName.
    `Name` | `getName()` Name.
    `String` | `getSoftwareName()` SoftwareName.
    `String[]` | `getTelecoms()` Telefonnummern.
    `String` | `getZeitpunkt()` Zeitpunkt des Korrigierens.
    `void` | `setAdresse(Adresse adresse)`
    `void` | `setModelName(String modelName)`
    `void` | `setName(Name name)`
    `void` | `setSoftwareName(String softwareName)`
    `void` | `setTelecoms(String[] telecoms)`
    `void` | `setZeitpunkt(String zeitpunkt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KorrigierendePerson

          public KorrigierendePerson()

  - ### Method Detail

    - #### getZeitpunkt

          public String getZeitpunkt()

      Zeitpunkt des Korrigierens.
      Ausgabe: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Zeitpunkt

    - #### getAdresse

          public Adresse getAdresse()

      Adresse. Siehe `Adresse`.
      Ausgabe: Kann.
      Returns:
        Adresse

    - #### getTelecoms

          public String[] getTelecoms()

      Telefonnummern.
      Ausgabe: Kann.
      Returns:
        Telecoms

    - #### getName

          public Name getName()

      Name. Siehe `Name`.
      Ausgabe: Bedingt. Befüllt wenn ModelName und SoftwareName nicht befüllt.
      Returns:
        Name

    - #### getModelName

          public String getModelName()

      ModelName.
      Ausgabe: Bedingt. Befüllt wenn Name nicht befüllt.
      Returns:
        ModelName

    - #### getSoftwareName

          public String getSoftwareName()

      SoftwareName.
      Ausgabe: Bedingt. Befüllt wenn Name nicht befüllt.
      Returns:
        SoftwareName

    - #### setZeitpunkt

          public void setZeitpunkt(String zeitpunkt)

    - #### setAdresse

          public void setAdresse(Adresse adresse)

    - #### setTelecoms

          public void setTelecoms(String[] telecoms)

    - #### setName

          public void setName(Name name)

    - #### setModelName

          public void setModelName(String modelName)

    - #### setSoftwareName

          public void setSoftwareName(String softwareName)